Skip to main content
GET
/
v0
/
business
/
{business_id}
/
journal-entries
List Journal Entries for a Business
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/journal-entries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "business_id": "<string>",
      "description": "<string>",
      "clean_description": "HomeDepot purchase",
      "datetime": "2023-11-07T05:31:56Z",
      "is_reconciled": true,
      "review_status": "bookkeeper_pending",
      "basis": "both",
      "id": "<string>",
      "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
      "line_entries": [
        {
          "ledger_id": "<string>",
          "description": "<string>",
          "debit_credit": "debit",
          "amount": 123,
          "id": "<string>",
          "journal_entry_id": "<string>",
          "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
          "tag_value_ids": [
            "<string>"
          ]
        }
      ],
      "categorization_method": "manual",
      "invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo",
      "external_account_id": "<string>",
      "notes": [
        {
          "journal_entry_id": "<string>",
          "message": "<string>",
          "user": "<string>",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "pagination": {
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getasset.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Query Parameters

tag_value_id
string<tv_string> | null

Include only Journal Entries that have at least one line with the given Tag Value

Example:

"tv_Ns6rRRLYVZPh4cVB7MDby5"

start_datetime
string<date-time> | null

Include Journal Entries after this period (inclusive) in ISO-8601 format

end_datetime
string<date-time> | null

Include Journal Entries before this period (inclusive) in ISO-8601 format

Example:

"2025-01-01T00:00:00Z"

review_status
enum<string> | null

Return only Journal Entries with the given review_status

Available options:
bookkeeper_pending,
business_pending,
confirmed
Example:

"confirmed"

is_reconciled
boolean | null

Include only Journal Entries that are reconciled

transaction_id
string<txn_string> | null

Include only Journal Entry that has the given transaction_id

Example:

"txn_WQMDNUHpBThYSNh4AprDBo"

description
string | null

Filter by word in the description. Use ~ to search for multiple words. e.g. ~Service,~Purchase

Maximum string length: 100
Example:

"~Service,~Purchase"

amount
string | null

Filter by the sum of debit line entry amounts. Amount will be treated as positive regardless of the sign.

Example:

"89.23"

ledger_id

Include only Journal Entries that have at least one line in the given Ledgers, comma-separated

page_token
string | null

The page token to for the next or previous page

page_size
integer
default:100
Required range: 1 <= x <= 100
sort_by
enum<string>
default:datetime
Available options:
datetime,
description,
amount
order
enum<string>
default:desc
Available options:
asc,
desc
ids

Comma-separated list of Journal Entry IDs to retrieve. Maximum limit is 100.

includes

Comma-separated list of related objects to include. Supported: notes

Response

Successful Response

data
JournalEntryEACPublic · object[]
required
pagination
PaginationResponse · object
required